This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 128997 - doesn't resolve hesiod name properly
doesn't resolve hesiod name properly
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-02 16:30 EDT by Elliot Peele
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 15:47:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliot Peele 2004-08-02 16:30:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
Autofs doesn't seem to use the correct name when mounting directories
from hesiod. It uses the hesiod key instead of the directory that
hesiod points at.

Example:

physics% hes netcdftools
    FILSYS: AFS /afs/eos/service/pams/physics/astro/netcdf w /ncsu/netcdf
physics% cd /ncsu/netcdf
/ncsu/netcdf: No such file or directory.
physics% cd /ncsu/netcdftools
physics% pwd
/afs/eos.ncsu.edu/service/pams/physics/astro/netcdf




Version-Release number of selected component (if applicable):
autofs-3.1.7-41

How reproducible:
Always

Steps to Reproduce:
1. configure autofs to work with hesiod
2. have a mount point that has a different name than the hesiod key
3. try to mount it
    

Actual Results:  uses hesiod name to mount

Expected Results:  should use name in hesiod record

Additional info:

This bug also appears in autofs-4.1.2-2 on both RHEL3 and FC1.
Comment 1 Jeffrey Moyer 2006-02-14 16:17:43 EST
First, sorry it took me so long to get to this.

I'm not sure what you expect for behaviour.  If you cd to /ncsu/netcdf, how is
the automounter supposed to find this directory in hesiod?  Why would you
configure things in such a way?

Note that I've never worked in an environment that used HESIOD, so if there are
some common conventions, I am ignorant of them.  In other words, you'll have to
be thorough in your explanations.  ;)

Thanks.
Comment 2 Jeffrey Moyer 2006-08-08 15:47:58 EDT
Given that there's been no response to this issue, I'm closing it as notabug.  I
believe the automounter is functioning as designed, here.

Note You need to log in before you can comment on or make changes to this bug.